package com.ho.user.mapper;

import com.ho.user.entity.SysUserPosition;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @author yule
* @description 针对表【sys_user_position】的数据库操作Mapper
* @createDate 2022-12-05 13:57:12
* @Entity com.ho.user.entity.SysUserPosition
*/
public interface SysUserPositionMapper {

    int insert(SysUserPosition record);

    int insertSelective(SysUserPosition record);

    int batchUserPosition(List<SysUserPosition> list);

    SysUserPosition selectByPrimaryKey(Integer id);

    List<Integer> selectPostIdsByUserId(String userId);

    int updateByPrimaryKeySelective(SysUserPosition record);

    int updateByPrimaryKey(SysUserPosition record);

    int deleteByPrimaryKey(Integer id);

    int removeByPostId(Integer id);

    int removeByUserId(String userId);

    int removeByUserIds(@Param("list") List<String> list);

    //根据岗位id查询
    List<SysUserPosition> selectByPostId(@Param("id") Integer id);

    List<String> getUserIdsByPostIds(@Param("list") List<Integer> postIds);

    //根据岗位id查询
    List<SysUserPosition> selectByPostIds(@Param("list")  List<Integer> postIds);
}
